#!/usr/bin/bash

set -ex

for pkg in \
bob.buildout \
bob.extension \
bob.blitz \
bob.core \
bob.io.base \
bob.sp \
bob.ap \
bob.math \
bob.measure \
bob.db.base \
bob.io.audio \
bob.io.image \
bob.io.video \
bob.io.matlab \
bob.ip.base \
bob.ip.color \
bob.ip.draw \
bob.ip.gabor \
bob.learn.activation \
bob.learn.libsvm \
bob.learn.linear \
bob.learn.mlp \
bob.learn.em \
bob.learn.boosting \
bob.db.iris \
bob.db.wine \
bob.db.mnist \
bob.db.atnt \
bob.ip.facedetect \
bob.ip.optflow.hornschunck \
bob.ip.optflow.liu \
bob.ip.flandmark \
; do
    git clone git@gitlab.idiap.ch:bob/$pkg || true
    cd $pkg
    git co -b condapackage || git co -- . && git clean -ffdx && git co master && git pull --ff-only && git branch -D condapackage && git co -b condapackage

    ../migrate.py ../../templates/meta.yaml ../../../bob.conda/recipes/$pkg/meta.yaml \
        ../../gitlab/conda_build_config.yaml .
    cp ../../templates/gitlab-ci.yml .gitlab-ci.yml
    echo "record.txt" >> .gitignore

    subl conda/meta.yaml
    conda build -m ../../gitlab/conda_build_config.yaml --python=2.7 conda

    git add -A
    git commit -m "Migrate to conda based CI"

    while true; do
        read -p "Do you wish to continue?" yn
        case $yn in
            [Yy]* ) break;;
            [Nn]* ) exit;;
            * ) echo "Please answer yes or no.";;
        esac
    done
    git push -u --force origin condapackage
    cd ..
done
