#!/usr/bin/env bash
# Tue 16 Jan 11:15:32 2018 CET

source $(dirname ${0})/functions.sh

# checks if a conda installation exists. Otherwise, install one
if [ ! -e ${CONDA_FOLDER}/bin/conda ]; then
  install_miniconda ${CONDA_FOLDER}
fi

# moves the cache to conda folder
mkdir -p ${CONDA_FOLDER}/pkgs
touch ${CONDA_FOLDER}/pkgs/urls
touch ${CONDA_FOLDER}/pkgs/urls.txt

merge_conda_cache ${CONDA_FOLDER}/pkgs ${CONDA_ENVS_PATH}/.pkgs

cat <<EOF > ${CONDARC}
default_channels:
  - https://repo.continuum.io/pkgs/main
  - https://repo.continuum.io/pkgs/free
  - https://repo.continuum.io/pkgs/r
  - https://repo.continuum.io/pkgs/pro
EOF
echo "Contents of \`${CONDARC}':"
cat ${CONDARC}

run_cmd ${CONDA_FOLDER}/bin/conda config --set add_pip_as_python_dependency false
run_cmd ${CONDA_FOLDER}/bin/conda config --set always_yes yes --set changeps1 no
run_cmd ${CONDA_FOLDER}/bin/conda config --set always_yes true
run_cmd ${CONDA_FOLDER}/bin/conda config --set show_channel_urls true
run_cmd ${CONDA_FOLDER}/bin/conda config --set anaconda_upload no
run_cmd ${CONDA_FOLDER}/bin/conda config --add channels ${CHANNEL_URL}
run_cmd ${CONDA_FOLDER}/bin/conda config --set ssl_verify false
run_cmd ${CONDA_FOLDER}/bin/conda install --quiet --yes -c defaults python conda=4.4 curl conda-build=3

# copies our central build configuration to the conda folder of the package
run_cmd cp _ci/conda_build_config.yaml conda/

# cleans up
run_cmd ${CONDA_FOLDER}/bin/conda clean --lock

# print conda information for debugging purposes
run_cmd ${CONDA_FOLDER}/bin/conda info
