#!/usr/bin/env bash
# Wed 21 Sep 2016 13:08:05 CEST

source $(dirname ${0})/functions.sh

# Makes sure we activate the base environment if available
run_cmd source ${CONDA_FOLDER}/etc/profile.d/conda.sh
run_cmd conda activate base

run_cmd mkdir -p ./_ci/${OS_SLUG}/${PYTHON_VERSION}

if [ -z "${CI_COMMIT_TAG}" ]; then
  run_cmd ${CONDA_FOLDER}/bin/python _ci/channel_support.py ${CONDA_BETA_CHANNEL} ${CI_PROJECT_NAME} ${BOB_PACKAGE_VERSION} ${PYTHON_VERSION} -u --log ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt
else
  run_cmd ${CONDA_FOLDER}/bin/python _ci/channel_support.py ${CONDA_CHANNEL} ${CI_PROJECT_NAME} ${BOB_PACKAGE_VERSION} ${PYTHON_VERSION} -u --log ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt

fi

BOB_BUILD_NUMBER=`head -n 1 ./_ci/${OS_SLUG}/${PYTHON_VERSION}/build_number.txt | tr -d '\n'`
export_env BOB_BUILD_NUMBER

if [ -z "${CI_COMMIT_TAG}" ]; then
    run_cmd ${CONDA_FOLDER}/bin/conda build --quiet --override-channels -c ${CONDA_BETA_CHANNEL} -c ${CONDA_CHANNEL} -c https://repo.continuum.io/pkgs/main -c https://repo.continuum.io/pkgs/free -c https://repo.continuum.io/pkgs/r -c https://repo.continuum.io/pkgs/pro --python=${PYTHON_VERSION} conda
else
    run_cmd ${CONDA_FOLDER}/bin/conda build --quiet --override-channels -c ${CONDA_CHANNEL} -c https://repo.continuum.io/pkgs/main -c https://repo.continuum.io/pkgs/free -c https://repo.continuum.io/pkgs/r -c https://repo.continuum.io/pkgs/pro --python=${PYTHON_VERSION} conda
fi

# Move the cache to conda env folder to cache it
if [ "${OSNAME}" == "linux" ]; then
    mkdir -p ${CONDA_ENVS_PATH}/.pkgs
    touch ${CONDA_ENVS_PATH}/.pkgs/urls
    touch ${CONDA_ENVS_PATH}/.pkgs/urls.txt
fi
merge_conda_cache ${CONDA_ENVS_PATH}/.pkgs ${CONDA_FOLDER}/pkgs
